import { Component, OnInit } from "@angular/core";
import { Router, ActivatedRoute } from "@angular/router";
import { NzMessageService } from "ng-zorro-antd";

import { MainService } from "../../services/main.service";

@Component({
  selector: "app-questionnaire-management-detail",
  templateUrl: "./questionnaire-management-detail.component.html",
  styleUrls: ["./questionnaire-management-detail.component.less"],
})
export class QuestionnaireManagementDetailComponent implements OnInit {
  constructor(
    private message: NzMessageService,
    private router: Router,
    private mainService: MainService,
    private routerInfo: ActivatedRoute
  ) {}

  id: number;
  detail: any = null;
  ngOnInit() {
    this.getDetail();
  }
  hideModal() {
    this.router.navigateByUrl("/main/questionnaireManagement");
  }

  // 查看问题
  goToQuestions(data){
    this.router.navigateByUrl(`/main/questions?id=${data.id}&title=${data.title}`);
  }

  // 获取详情
  maskFlag: any = false;
  getDetail() {
    this.id = this.routerInfo.snapshot.params["id"];
    this.maskFlag = this.message.loading("正在加载中..", {
      nzDuration: 0,
    }).messageId;
    this.mainService
      .getFetchData("api", "questionnaireManagement", this.id)
      .subscribe((data) => {
        this.message.remove(this.maskFlag);
        this.maskFlag = false;
        if (data.status == 200) {
          this.detail = data.data;
        }
      });
  }
}

